aboutsummaryrefslogtreecommitdiffstats
path: root/debian/tests/service
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/service')
-rw-r--r--debian/tests/service13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/tests/service b/debian/tests/service
new file mode 100644
index 00000000..95f9abcd
--- /dev/null
+++ b/debian/tests/service
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+###############################
+### Check fetchmail service ###
+###############################
+
+set -e
+
+echo "Checking fetchmail service is enabled"
+systemctl is-enabled fetchmail.service
+
+echo "Checking fetchmail service is active"
+systemctl is-active fetchmail.service